API referenceMaintenance
List Work Orders
List open work orders with stock, inspections, and lock access details. Filter with status: All, Ongoing, Upcoming, Unscheduled, or Past.
GET
/maintenancecurl -X GET "https://dash.lockii.app/api/v1/maintenance" \
-H "x-api-key: $LOCKII_API_KEY"Authorization
x-api-keystringheaderAPI key from Settings → Integrations → API.
AuthorizationstringheaderThe same API key, or an OAuth access token, sent as Authorization: Bearer.
api_keystringqueryAPI key query parameter.
Parameters
limitnumberquerystatusenum<string>queryOne of:AllOngoingUpcomingUnscheduledPastDefault:All
Response
application/json
JSON result for this operation.
object
{}